Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.components.annotations
Class AnnotationsValueRenderer

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.components.annotations.AnnotationsValueRenderer

All Implemented Interfaces:
  TableCellRenderer

    public class AnnotationsValueRenderer

extends Object
implements TableCellRenderer

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Sep 7, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary
`static int` | `EXTRA_SPACING`

Constructor Summary
`AnnotationsValueRenderer()`

Method Summary
`Component` | `getTableCellRendererComponent(JTable table, Object o, boolean selected, boolean hasFocus, int row, int col)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXTRA_SPACING

    public static final int EXTRA_SPACING

See Also:
  Constant Field Values

Constructor Detail

### AnnotationsValueRenderer

    public AnnotationsValueRenderer()

Method Detail

### getTableCellRendererComponent

    public Component getTableCellRendererComponent(JTable table,
                                                   Object o,
                                                   boolean selected,
                                                   boolean hasFocus,
                                                   int row,
                                                   int col)

  Specified by:
    `getTableCellRendererComponent` in interface `TableCellRenderer`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.